#ifndef __ds1000zlib__
#define __ds1000zlib__

#include "ds1000zstr.h"

int __cdecl task_set_error(int ErrCode);
void * malloc(size_t);
void * calloc(size_t, size_t);
void *__cdecl realloc(void *Buffer, int Size);
void free(void *);
unsigned int __cdecl CRC32_CalkBuffer(void *Buffer, __int32 Size);
int __cdecl SignedDiv(int Value, int Divider);
int __cdecl uRemDiv(int Value, int Divider);
int __cdecl memcpy(void *Target, void *Source, int Len);
size_t strlen(const char *);
int __cdecl strncmp(const char *, const char *, int len);
char * memcmp(char *, const char *, size_t);
void __cdecl LED_On(int LEDOnMask);
int __cdecl LED_Off(int BitMaskClear);
int GetCurLedState(void);
int __cdecl LED_IsOn(int TestedLed);
int __cdecl strcpy(char *Target, char *Source);
int __cdecl strcmp(const char *, const char *);
void __cdecl ZeroMem(void *target, int Len);
void __cdecl StoreDwordNotAligned(int Value, void *Target);
FILE * fopen(const char *, const char *);
int fclose(FILE *);
int fcloseall(void);
int remove(const char *);
int __cdecl rmdir(char *Path);
int __cdecl mkdir(char *Path);
int __cdecl chdir(char *path);
__int64 FS_GetSizeX64(void);
int __cdecl setjump(void *Buffer);
void *__cdecl strncpy(char *, const char *, size_t);
char * strcat(char *, const char *);
int sprintf(char *, const char *, ...);
int __cdecl setmem(void *Target, int Size, int Code);
char * strstr(const char *, const char *);
int __cdecl __time_delay(int DelayMillisec);
int __cdecl io_ioctl(FILE *hFile, int Code, void *Buff);
int __cdecl write(FILE *hOut, void *Buffer, int len);
int __cdecl read(int hFile, void *Buffer, int Len);
int __cdecl uffs_space_total(char *MountPointName);
int __cdecl _time_delay(int microseconds);
int __cdecl PutKeyEvent(int Key, int Delta);
void __cdecl memset(void *Target, int Size, int Value);
int __cdecl fseek(int hFile, int Pos, int Mode);
int __cdecl strchr(char *, int);
int __cdecl _lwsem_wait(LWSEM_STRUCT *);
int __cdecl _lwsem_post(LWSEM_STRUCT *Sem);
int __cdecl lwsem_create(LWSEM_STRUCT *, int);
int __cdecl task_create(int CpuNum, int TemplateIndex, task_template_struct *Descr);
int __cdecl lwsem_wait_ticks(LWSEM_STRUCT *, int Time);
int __cdecl _lwsem_destroy(LWSEM_STRUCT *);
int GetTicksPerSecond(void);
int __cdecl _mem_copy(void *Source, void *tagetr, int len);
int __cdecl strnlen(char *, int);
__int32 strtol(const char *, char **, int);
int __cdecl _task_set_priority(int TaskId, int Priority, void *Buf);
int sscanf(const char *, const char *, ...);
int __cdecl tolower(int);
int __cdecl strupper(char *);
int __cdecl strreplacechr(char *, int FindChr, int ReplaceChr);
void __cdecl strdelchar(char *, int CharToTrim);
int __cdecl _mqx_exit(int ErrorCode);
int __cdecl _sem_create(char *Name, int, int);
int __cdecl lwip_accept(int s, void *addr, int *addrlen);
int __cdecl lwip_bind(int fd, void *SockAddr, int Namelen);
int __cdecl lwip_close(int fd);
int __cdecl lwip_listen(int Socket, int backlog);
int __cdecl lwip_recvfrom(int sock, void *Buffer, int Len, int flags, void *from, int *fromlen);
int __cdecl lwip_read(int sock, void *Buffer, int Len);
int __cdecl lwip_recv(int sock, void *Buffer, int Len, int flags);
int __cdecl lwip_send(int sock, void *Buf, int Len, int Flags);
int __cdecl lwip_sendto(int soc, void *Buffer, int len, int flags, void *Toaddr, int to_len);
int __cdecl lwip_socket(int domain, int type, int protocol);
int __cdecl lwip_write(int sock, void *Buf, int Len);
int __cdecl lwip_select(int maxfd, void *readset, void *writeset, void *exceptset, void *timeout);
int __cdecl lwip_getsockname(int fd, void *sockaddr, int *Len);
char *__cdecl IpAddr2Text_(unsigned __int8 *IP);
int __cdecl IpAddr2Text(int Ip, char *Buffer, int BufferLen);
int __cdecl Sleep(int ms);

#endif
